Subject: bug#34127: 26.1.91; Redisplay issues with tramp

From: Tim Blackman <[email-masked]>
Date: Tue, 22 Jan 2019 08:52:57 -0500

On Jan 19, 2019, at 4:53 PM, Alan Third <[email-masked]> wrote:

>> If I create a new tramp connection (after calling M-x
>> tramp-cleanup-all-connections), I see a strangely blank screen from
>> after calling the command (say C-x C-f "/-:slc:") until the directory
>> gets displayed. Please see the attached picture.
>> 
>> That blank screen behavior is new. In 26.1, the frame contents continue
>> to be displayed while the command is running.
> 
> I believe this is caused by the changes made for macOS Mojave
> compatibility.

Yes, I figured. I'm running on High Sierra for the moment, but was hoping to move to Mojave soon — that's why I'm testing it out.

> There has been a patch applied to the emacs-26 branch
> that fixes some of these issues, but which missed the pretest. If it’s
> possible for you to test an updated version that would be helpful.

I tried the 1/22/2019 nightly from emacsforosx.com, but tramp didn't work as expected. It reports its version number as 27.0.50 — is that the right one to try?

In the 26.1 pretest, I did:

  C-x C-f /scp:slc:

(slc is my remote hostname).

That produced the blanking behavior I described

But in the nightly, this just says that the directory is not found — seems to think I mean a local directory.

Did something change (again) about tramp syntax?

> I’m also working on a more complete set of patches, but I doubt
> they’ll be good for Emacs 26.

- Tim